#!/bin/bash
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.


# build_floppy.sh generates a floppy with SGD given the folder
# where the language it is
#set -v
#set -x

# Quick
## Create all the languages
## Delete everyone with lang_module except the one selected
## Create tar from test_fs
## Run the command:

# Not So Quick but more neat
## Create only the selected language by playing with sdg_module file.
## Create tar from test_fs
## Run the command:



build_the_usb () {


IMAGE_NAME="$MAGIC_TARGET_FOLDER""/"""${SGD_STRING}"_""${FLOPPY_FILENAME}""_""usb""_""${SGD_VERSION}"".tar.bz2"
TEMPORAL_TAR=`pwd`"/../tmp/temp.tar"
MYCURRENTDIR=`pwd`

./build_cdrom_fs.sh
cd "$FS_TARGET" # tar its a little stupid. So we go the correct folder.
tar cjf "$TEMPORAL_TAR" *
cp "$TEMPORAL_TAR" "$IMAGE_NAME"
cd "$MYCURRENTDIR" # Come back to former folder.

}
#********************
#MAIN PROGRAM
#**************************#

# I will maybe put these variables to sgrub_configure.sh file.

# We want floppies in all languages
source ./util/all_languages.sh


source ./sgrub_configure.sh
read_sgd_version
# Thanks to ./sgrub_configure.sh SGD_VERSION is set with the SGD version

SDG_MODULE_ID="sdg_module"
SDG_LANG_ID="lang_module"
MAGIC_TARGET_FOLDER="../release"
SGD_STRING="super_grub_disk"

# Check sudoers permissions (Not needed on USBs but only in floppies!)
#
#if sudo true ; then
#echo -e "MESSAGE: Your user is in the sudoers file. Good.\n";
#else
#echo -e "ERROR: You must add your user to the sudoers file so that you can build the floppy images.\n"
#echo -e "Or... try to do it deleting this if in the script and some sort of FUSE. I do not know how does it work.\n"
#exit 1;
#fi

# Let's do one lang per lang.
cd tr
for DIR2 in *
do
  # We want only the folders.
  if [ -d "$DIR2" ] && [ -e "$DIR2"/"${SDG_LANG_ID}" ] ; then
  
  for DIR in *
  do
  # We want only the folders 
	  if [ -d "$DIR" ] ; then
  # We want to process only folders with sdg_module on them
		        if [[ "$DIR" == "$DIR2" ]] ; then # The lang folder selected
			  FLOPPY_FILENAME=`head -n 1 "$DIR"/filename`
			  if [ ! -e "$DIR"/"${SDG_MODULE_ID}" ] ; then # No module found... we create it.
			    cp "$DIR"/"${SDG_LANG_ID}" "$DIR"/"${SDG_MODULE_ID}" ;
			  fi
		        else # This is not the lang folder we want to make.
			  if [ -e "$DIR"/"${SDG_MODULE_ID}" ] ; then # If there's a module file... let's delete it.
			     rm "$DIR"/"${SDG_MODULE_ID}"
			  fi
			fi
	  fi
  done
cd ..
build_the_usb
cd tr
  fi
done

cd ..
# We want only one language for developing
source ./util/only_english.sh

